<div class="pagination" *ngIf="count > 0" >
  <!--<div class="description">
    <span class="page-counts">{{ getMin() }} - {{ getMax() }} of {{ count }}</span>
    <span class="page-totals">{{ totalPages() }} pages</span>
  </div>-->

  <div class="numbers">
    <button mat-icon-button class="round" (click)="onPrev()" [disabled]="page === 1 || loading" [ngClass]="{ 'disabled': page === 1 || loading }">
<!--      <mat-icon>arrow_back_ios</mat-icon>-->
      <mat-icon svgIcon="chevron-left"></mat-icon>
    </button>

    <button mat-button (click)="onPage(1)" class="round" [ngClass]="{'accent': 1 === page, 'disabled': loading}"> 1 </button>

    <ng-container *ngIf="page - pagesToShow > 0" >
      <span class="dots">...</span>
    </ng-container>

    <ng-container *ngFor="let pageNum of getPages()" >
      <button mat-button *ngIf="pageNum!== 1 && pageNum!== lastPage"
              (click)="onPage(pageNum)" class="round"
              [ngClass]="{'accent': pageNum === page, 'disabled': loading}">{{ pageNum }}</button>
    </ng-container>

    <ng-container *ngIf="lastPage - page >= pagesToShow">
      <span class="dots">...</span>
    </ng-container>

    <button *ngIf="lastPage>1" mat-button (click)="onPage(lastPage)" class="round" [ngClass]="{'accent': lastPage === page, 'disabled': loading}"> {{lastPage }}</button>

    <button mat-icon-button class="round" (click)="onNext(true)" [disabled]="isLastPage() || loading" [ngClass]="{ 'disabled': isLastPage() || loading }">
      <mat-icon svgIcon="chevron-right"></mat-icon>
    </button>
  </div>
</div>
